Subject: Re: bug#70002: 29.2; GTK3 mouse wheel scrolling

From: "Sparapani, Rodney" <[email-masked]>
Date: Mon, 25 Mar 2024 20:18:00 +0000

Hi Eli and Po:

Well, here’s my real issue.  We had trouble with LUCID scroll bars.
So we can fix that with either MOTIF or GTK.  But with MOTIF,
I have a similar problem with the menu-bar: it is slow.  A click
on it takes a while: I just counted 20s.  Then it typically works as
advertised, but the wait is painful (see bug#69870).  And as we
see here, the GTK menu-bar is fine, but mouse wheel scrolling
doesn’t work very well.  Is there a simple was a way that we can
get working scroll-bars, menu-bar and mouse-wheel support?
Is there a clever configuration that can do that?  I suppose
mixing toolkits doesn’t work.  But is there something else
that I can try?  Thanks for all of your help on emacs!

--
Rodney Sparapani, Associate Professor of Biostatistics, He/Him/His
Vice President, Wisconsin Chapter of the American Statistical Association
Institute for Health and Equity, Division of Biostatistics
Medical College of Wisconsin, Milwaukee Campus

If this is outside of working hours, then please respond when convenient.

From: Eli Zaretskii <[email-masked]>
Date: Monday, March 25, 2024 at 3:08 PM
To: Sparapani, Rodney <[email-masked]>, Po Lu <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: Re: bug#70002: 29.2; GTK3 mouse wheel scrolling
ATTENTION: This email originated from a sender outside of MCW. Use caution when clicking on links or opening attachments.
________________________________

> From: "Sparapani, Rodney" <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Mon, 25 Mar 2024 19:44:07 +0000
>
> Hi Eli:
>
> Just tried that, but it didn’t help.  I assume that was meant by the hint is this…
>
> $ export GTK_IM_MODULE=none

Yes.  If that doesn't help, perhaps Po Lu (CC'ed) could have some
ideas.

Thanks.